package com.pcloud.book.consumer.shareimage;


import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Repository;


@Repository("shareImageConsr")
public class ShareImageConsr {
    private static final Logger LOGGER = LoggerFactory.getLogger(ShareImageConsr.class);
/*

    @Autowired
    private Html2PdfService html2PdfService;

    */
/**
     * html转pdf
     * @param htmlDto
     *//*

    @ParamLog(value = "html转pdf", isBefore = false)
    public String htmlToPdf(HtmlDto htmlDto) {
        String pdfUrl = "";
        try {
            //pdfUrl = ResponseHandleUtil.parseResponse(html2PdfService.htmlToPdf(htmlDto), String.class);
        } catch (Exception e) {
            LOGGER.error("html2PdfService.htmlToPdf" + e.getMessage(), e);
        }
        return pdfUrl;
    }
*/

}
